Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84605 - TB: ipcalc.py:41:prefix
Summary: TB: ipcalc.py:41:prefix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2003-02-19 15:36 UTC by hadrien majoie
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:10:17 UTC


Attachments (Terms of Use)
error message output (deleted)
2003-02-19 15:37 UTC, hadrien majoie
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description hadrien majoie 2003-02-19 15:36:01 UTC
Description of problem:

application crash
When changing the value of "hostname" in the "DNS" section, the application
crash when applying the value.
The debugging process doesn' t work as well.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.described above
2.
3.
    
Actual results:
application crash

Expected results:
applying new values

Additional info:

Comment 1 hadrien majoie 2003-02-19 15:37:50 UTC
Created attachment 90189 [details]
error message output

Comment 2 Harald Hoyer 2003-02-25 15:35:17 UTC
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 41,
in prefix
    self._prefix = re.match("PREFIX=(\d+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'


Comment 5 Harald Hoyer 2003-08-11 14:10:17 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.